org.bdgenomics.adam.cli

# ADAM2FastaArgs

#### class ADAM2FastaArgs extends Args4jBase with ParquetLoadSaveArgs

Linear Supertypes
ParquetLoadSaveArgs, SaveFileArgs, LoadFileArgs, ParquetSaveArgs, SaveArgs, ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ADAM2FastaArgs
2. ParquetLoadSaveArgs
3. SaveFileArgs
4. LoadFileArgs
5. ParquetSaveArgs
6. SaveArgs
7. ParquetArgs
8. ParquetRDDArgs
9. Args4jBase
10. AnyRef
11. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ADAM2FastaArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var coalesce: Int

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### var forceShuffle: Boolean

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### var inputPath: String

    Definition Classes
      LoadFileArgs

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### var lineWidth: Int

22. #### var logLevel: String

    Definition Classes
      ParquetArgs

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### var outputPath: String

    Definition Classes
      SaveFileArgs

27. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

28. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetLoadSaveArgs

### Inherited from SaveFileArgs

### Inherited from LoadFileArgs

### Inherited from ParquetSaveArgs

### Inherited from SaveArgs

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped